Skip to main content

Brands

Base URL: https://app.neuroflash.com/api/brand-voice-service

Manage brand entities associated with brand voices.

Create a new brand​

POST/v1/workspaces/{workspaceId}/brands

Create a new brand for the given workspace

Path Parameters​

ParameterTypeRequiredDescription
workspaceIdstringYesWorkspace ID (uuid4)

Request Body​

FieldTypeRequiredDescription
addressstringYes
emailstringYes
facebookLinkstringYes
instagramLinkstringYes
linkedinLinkstringYes
namestringYes
phonesarray<string>Yes
valuesarray<string>Yes
websitestringYes

Response​

FieldTypeDescription
addressstring
createdAtstring
createdByUserIdstring
emailstring
facebookLinkstring
idstring
instagramLinkstring
legacybooleanwhile this flag is true, the brand cannot yet be edited and it needs to be converted into a non-legacy brand voice first
linkedinLinkstring
namestring
ownerLegacyCustomerIdinteger
phonesarray<string>
updatedAtstring
valuesarray<string>
websitestring

Example​

curl -X POST "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"address": "string",
"email": "string",
"facebookLink": "string",
"instagramLink": "string",
"linkedinLink": "string",
"name": "string",
"phones": [],
"values": [],
"website": "string"
}'

Response:

{
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
}

List brands​

GET/v1/workspaces/{workspaceId}/brands

Retrieve a paginated list of brands for the given workspace

Path Parameters​

ParameterTypeRequiredDescription
workspaceIdstringYesWorkspace ID (uuid4)

Query Parameters​

ParameterTypeDefaultDescription
pageinteger1Page number
sizeinteger10Page size

Response​

FieldTypeDescription
dataarray<object>
addressstring
createdAtstring
createdByUserIdstring
emailstring
facebookLinkstring
idstring
instagramLinkstring
legacybooleanwhile this flag is true, the brand cannot yet be edited and it needs to be converted into a non-legacy brand voice first
linkedinLinkstring
namestring
ownerLegacyCustomerIdinteger
phonesarray<string>
updatedAtstring
valuesarray<string>
websitestring
pageobject
currentPageinteger
sizeinteger
totalElementsinteger
totalPagesinteger

Example​

curl "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Response:

{
"data": [
{
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
}
],
"page": {
"currentPage": 2,
"size": 10,
"totalElements": 35,
"totalPages": 4
}
}

Get brand by ID​

GET/v1/workspaces/{workspaceId}/brands/{brandId}

Retrieve details of a brand by its ID for the given workspace

Path Parameters​

ParameterTypeRequiredDescription
workspaceIdstringYesWorkspace ID (uuid4)
brandIdstringYesBrand ID

Response​

FieldTypeDescription
addressstring
createdAtstring
createdByUserIdstring
emailstring
facebookLinkstring
idstring
instagramLinkstring
legacybooleanwhile this flag is true, the brand cannot yet be edited and it needs to be converted into a non-legacy brand voice first
linkedinLinkstring
namestring
ownerLegacyCustomerIdinteger
phonesarray<string>
updatedAtstring
valuesarray<string>
websitestring

Example​

curl "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands/{brand_id}" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Response:

{
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
}

Update a brand​

PUT/v1/workspaces/{workspaceId}/brands/{brandId}

Update a brand by its ID for the given workspace

Path Parameters​

ParameterTypeRequiredDescription
workspaceIdstringYesWorkspace ID (uuid4)
brandIdstringYesBrand ID

Request Body​

FieldTypeRequiredDescription
addressstringYes
emailstringYes
facebookLinkstringYes
instagramLinkstringYes
linkedinLinkstringYes
namestringYes
phonesarray<string>Yes
valuesarray<string>Yes
websitestringYes

Response​

FieldTypeDescription
addressstring
createdAtstring
createdByUserIdstring
emailstring
facebookLinkstring
idstring
instagramLinkstring
legacybooleanwhile this flag is true, the brand cannot yet be edited and it needs to be converted into a non-legacy brand voice first
linkedinLinkstring
namestring
ownerLegacyCustomerIdinteger
phonesarray<string>
updatedAtstring
valuesarray<string>
websitestring

Example​

curl -X PUT "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands/{brand_id}" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"address": "string",
"email": "string",
"facebookLink": "string",
"instagramLink": "string",
"linkedinLink": "string",
"name": "string",
"phones": [],
"values": [],
"website": "string"
}'

Response:

{
"address": "Germany, Berlin, ...",
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"email": "test@neuroflash.com",
"facebookLink": "https://facebook.com/test",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"instagramLink": "https://instagram.com/test",
"legacy": false,
"linkedinLink": "https://linkedin.com/test",
"name": "neuroflash",
"ownerLegacyCustomerId": 32,
"phones": [
"+00000000",
"+11111111"
],
"updatedAt": "2025-01-14T16:20:59Z",
"values": [
"proactivity",
"stability"
],
"website": "https://test.com"
}

Delete a brand​

DELETE/v1/workspaces/{workspaceId}/brands/{brandId}

Delete a brand by its ID for the given workspace

Path Parameters​

ParameterTypeRequiredDescription
workspaceIdstringYesWorkspace ID (uuid4)
brandIdstringYesBrand ID

Example​

curl -X DELETE "https://app.neuroflash.com/api/brand-voice-service/v1/workspaces/{workspace_id}/brands/{brand_id}" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"